aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Delaney <della5@iinet.com.au>2012-05-19 17:16:34 +0800
committerIan Delaney <della5@iinet.com.au>2012-05-19 17:16:34 +0800
commit3cac921c71c71b222937b80cebba9cf5eee397ea (patch)
tree1bd4f789570208fe9b0979fb94f5c2f4dbd9a497
parent[dev-python/mwlib] Add mwlib, other cleanups, fixes (diff)
downloadimprovise-3cac921c71c71b222937b80cebba9cf5eee397ea.tar.gz
improvise-3cac921c71c71b222937b80cebba9cf5eee397ea.tar.bz2
improvise-3cac921c71c71b222937b80cebba9cf5eee397ea.zip
[dev-python/mwlib] cleanup
-rw-r--r--dev-python/mwlib/files/test.patch20
-rw-r--r--dev-python/mwlib/mwlib-0.13.7.ebuild23
2 files changed, 12 insertions, 31 deletions
diff --git a/dev-python/mwlib/files/test.patch b/dev-python/mwlib/files/test.patch
deleted file mode 100644
index 44ae05e..0000000
--- a/dev-python/mwlib/files/test.patch
+++ /dev/null
@@ -1,20 +0,0 @@
-# Tests would make a tmp location outside {S}
-diff -ur ../mwlib-0.13.7.orig/tests/test_render.py ../mwlib-0.13.7/tests/test_render.py
---- tests/test_render.py 2012-05-08 11:30:20.000000000 +0800
-+++ tests/test_render.py 2012-05-18 16:27:07.456693095 +0800
-@@ -24,15 +24,3 @@
- retval.append(x.name)
-
- return retval
--
--
--def test_render(writer, input):
-- tmp = tempfile.mktemp()
-- cmd = "mw-render -w %s -c %s -o %s" % (writer, input, tmp)
-- print "running", cmd
-- try:
-- err = os.system(cmd)
-- assert err == 0
-- finally:
-- if os.path.exists(tmp):
-- os.unlink(tmp)
diff --git a/dev-python/mwlib/mwlib-0.13.7.ebuild b/dev-python/mwlib/mwlib-0.13.7.ebuild
index 62d2e72..1dd4ea2 100644
--- a/dev-python/mwlib/mwlib-0.13.7.ebuild
+++ b/dev-python/mwlib/mwlib-0.13.7.ebuild
@@ -18,6 +18,7 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc"
+# >=dev-python/simplejson-2.5 a popular alternative to || ( dev-lang/python:2.7.....)
RDEPEND="dev-python/lxml
=dev-python/odfpy-0.9*
>=dev-python/pyPdf-1.12
@@ -25,6 +26,7 @@ RDEPEND="dev-python/lxml
>=dev-python/timelib-0.2
virtual/latex-base
|| ( dev-lang/python:2.7 dev-lang/python:2.6 >=dev-python/simplejson-2.5 )
+ >=dev-python/simplejson-2.5
dev-python/gevent
>=dev-python/bottle-0.10
dev-python/apipkg
@@ -33,9 +35,9 @@ RDEPEND="dev-python/lxml
>=dev-python/py-1.4
dev-python/sqlite3dbm"
DEPEND="${RDEPEND}
+ dev-python/setuptools
app-arch/unzip
- doc? ( dev-python/sphinx )
- dev-python/setuptools"
+ doc? ( dev-python/sphinx )"
PYTHON_CFLAGS=("2.* + -fno-strict-aliasing")
@@ -45,10 +47,7 @@ src_prepare() {
distutils_src_prepare
# Disable test which requires installed mw-zip script.
- rm -f tests/test_nuwiki.py
- rm -f tests/test_redirect.py
- rm -f tests/test_zipwiki.py
-# epatch "${FILESDIR}"/test.patch
+ rm -f tests/{test_nuwiki.py,test_redirect.py,tests/test_zipwiki.py}
}
src_compile() {
@@ -60,9 +59,12 @@ src_test() {
# Though DISTUTILS_SRC_TEST=py.test ought work, it errors out. Yet to know why.
# XNET=1 is what I was seeking from upstream. It disables xfails, having acquired it
# it now appears to work with and without it.
- py.test tests
- # AFter re-emerging one or more of the deps, response has changed.
- # I leave this as a 'backup' and a record of what also worked by different means.
+ py.test -x tests
+}
+
+#src_test() {
+# # AFter re-emerging one or more of the deps, response has changed.
+# # I leave this as a 'backup' and a record of what also worked by different means.
# testing() {
# PYTHONPATH="$(find build-${PYTHON_ABI} -name mwlib)}/"
# local exit_status=0
@@ -73,8 +75,7 @@ src_test() {
# return $exit_status
# }
# python_execute_function testing
-}
-
+#}
src_install() {
distutils_src_install
if use doc; then